version: '2'

services:
  app:
    scale: 1
    start_on_create: true
    health_check:
      response_timeout: 2000
      healthy_threshold: 2
      port: 80
      unhealthy_threshold: 3
      initializing_timeout: 60000
      interval: 2000
      strategy: recreate
      reinitializing_timeout: 60000

  ###########################

  frontend:
    scale: 1
    start_on_create: true

  ###########################

  bot:
    scale: 1
    start_on_create: true

  ###########################

  db:
    scale: 1
    start_on_create: true

  ###########################

  pma:
    scale: 1
    start_on_create: true

  ###########################

  lb:
    scale: 1
    start_on_create: true
    lb_config:
      certs: []
      port_rules:
      - path: /api
        priority: 1
        protocol: http
        service: app
        source_port: 5611
        target_port: 80
      - path: /storage
        priority: 2
        protocol: http
        service: app
        source_port: 5611
        target_port: 80
      - priority: 3
        protocol: http
        service: frontend
        source_port: 5611
        target_port: 80
    health_check:
      healthy_threshold: 2
      response_timeout: 2000
      port: 42
      unhealthy_threshold: 3
      initializing_timeout: 60000
      interval: 2000
      strategy: recreate
      reinitializing_timeout: 60000
